btb-class |

# HashList(TKey,TValue).CopyTo Method

Copies the elements of the ICollection`1 to an Array, starting at a particular Array index.

public void HashList(
KeyValuePair<TKey, TValue>[] array,
int arrayIndex
);

#### Parameters

array
  The one-dimensional Array that is the destination of the elements copied from ICollection`1. The Array must have zero-based indexing.
arrayIndex
  The zero-based index in array at which copying begins.

#### Implements

ICollection<KeyValuePair<TKey, TValue>>.CopyTo

#### Exceptions

Exception Type | Condition
--- | ---
ArgumentNullException | array is null.
ArgumentOutOfRangeException | arrayIndex is less than 0.
ArgumentException | array is multidimensional. -or- arrayIndex is equal to or greater than the length of array. -or- The number of elements in the source ICollection`1 is greater than the available space from arrayIndex to the end of the destination array.

#### See Also

HashList<TKey, TValue> Class | ComponentOwl.BetterThumbnailBrowser Namespace